## marco 1.18.1

=== debian/changelog ===
marco (1.18.1-3ubuntu1) artful; urgency=medium

  * debian/patches: Add 0002_tiled_windows_resized_horizontally.patch.
    Allow tiled windows to be resized horizontally.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 04 Sep 2017 23:34:49 +0100

marco (1.18.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_synthetic_keybindings.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2017 21:19:40 +0200

marco (1.18.1-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream release.

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/control: Dependencies updated for MATE 1.18.
  * debian/patches:
    + Add debian/patches/0000_no_scale.patch.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new blog for override_dh_missing.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.

  [ Mike Gabriel ]
  * debian/patches:
    + Add patch header to 0000_no_scale.patch.
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Jul 2017 15:47:54 +0200

=== debian/control ===
Source: marco
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
Build-Depends: debhelper (>= 10.3~),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libcanberra-gtk3-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtop2-dev,
               libice-dev,
               libpango1.0-dev,
               libsm-dev,
               libstartup-notification0-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               mate-common (>= 1.18),
               yelp-tools,
               zenity,
Standards-Version: 4.0.0
Homepage: http://www.mate-desktop.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/marco.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/marco.git

Package: marco
Architecture: any
Depends: libmarco-private1 (= ${binary:Version}),
         marco-common (= ${source:Version}),
         mate-desktop-common (>= 1.18),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Provides: x-window-manager,
Description: lightweight GTK+ window manager for MATE
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the marco window manager itself.

Package: marco-common
Architecture: all
Depends: ${misc:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: lightweight GTK+ window manager for MATE (common files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the architecture independent files.

Package: libmarco-private1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmarco,
        libmarco-private0,
        mate-window-manager (<= 1.0.0-2),
Replaces: libmarco,
          libmarco-private0,
Provides: libmarco,
Description: library for Marco window manager
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the library.

Package: libmarco-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmarco-private1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: library for Marco window manager (development files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the development files.

## marco 1.18.2

=== debian/changelog ===
marco (1.18.2-1+betsy) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 06 Nov 2017 14:21:42 +0300

marco (1.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 15 Mar 2017 15:48:02 +0300

marco (1.17.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 18 Jan 2017 17:31:43 +0300

marco (1.17.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 24 Nov 2016 17:56:32 +0300

=== debian/watch ===
version=3
http://git.mate-desktop.org/marco/ \
    snapshot/marco-(\d\.(?:[0-9]+|)[0-9]\.\d)\.tar\.xz

## marco 1.20.1

=== debian/changelog ===
marco (1.20.1-2ubuntu1) bionic; urgency=medium

  * debian/patches:
    + Add 0001_fix_resize_popup.patch. Correct resize popup position on
      HiDPI displays.
    + Add 0002_prevent_xcursor_getting_stuck.patch. Fix frame geometry to
      avoid stuck resize cursor.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 25 Apr 2018 10:51:40 +0100

marco (1.20.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_hidpi_window_decorations.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Apr 2018 23:49:09 +0200

marco (1.20.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_hidpi_window_decorations.patch. Support HiDPI window decorations.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Mar 2018 21:52:14 +0100

marco (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (since 1.19.2-0ubuntu1):
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/control (since 1.19.2-0ubuntu1):
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

  [ Mike Gabriel ]
  * debian/libmarco-private1.symbols:
    + Update symbols.
  * debian/{control,compat}: Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Feb 2018 20:47:38 +0100

marco (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:55 +0000

marco (1.19.2-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 22:43:49 +0000

marco (1.18.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Add B-D: libxpresent-dev and x11proto-present-dev.
  * debian/patches:
    + Add 0003_xpresent.patch. Adds Present extension support.
    + Drop 0001_fix_synthetic_keybindings.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URI.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 11:49:21 +0100

marco (1.18.1-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches: Add 0002_tiled_windows_resized_horizontally.patch.
    Allow tiled windows to be resized horizontally.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Sep 2017 19:23:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: marco
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Build-Depends: debhelper (>= 10.3~),
+           MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>,
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libcanberra-gtk3-dev,
@@ -24,13 +25,15 @@
                libxext-dev,
                libxfixes-dev,
                libxinerama-dev,
+               libxpresent-dev,
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
                mate-common (>= 1.18),
+               x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/marco.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-mate/marco.git

=== debian/watch ===
version=3
https://git.mate-desktop.org/marco/ \
    snapshot/marco-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## marco 1.20.2

=== debian/changelog ===
marco (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop from P (libmarco-private0): libmarco. (Closes: #897359).
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.
  * debian/patches:
    + Drop all patches. Applied upstream now.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 14:14:12 +0200

marco (1.20.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_resize_popup.patch. Correct resize popup position on HiDPI
      displays.
    + Add 0002_prevent_xcursor_getting_stuck.patch. Fix frame geometry to
      avoid stuck resize cursor.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Apr 2018 22:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-           MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>,
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                intltool,
@@ -33,10 +32,10 @@
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/marco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/marco.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco
+Vcs-Git: https://salsa.debian.org/debian-mate-team/marco.git
 
 Package: marco
 Architecture: any
@@ -75,7 +74,6 @@
         mate-window-manager (<= 1.0.0-2),
 Replaces: libmarco,
           libmarco-private0,
-Provides: libmarco,
 Description: library for Marco window manager
  Marco is a small window manager, using GTK+ to do everything. It is
  developed mainly for the MATE Desktop.

## marco 1.20.3

=== debian/changelog ===
marco (1.20.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 23:58:18 +0100

marco (1.20.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/libmarco-private1.symbols:
    + Add Build-Depends-Package meta-data field.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Jan 2019 22:04:14 +0100

marco (1.20.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Jul 2018 18:07:32 +0200

marco (1.18.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Jan 2018 17:47:30 +0100

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS) --without autoreconf

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--localstatedir=/var \
		--libexecdir=/usr/lib/mate-window-manager \
		--disable-static \
		--enable-startup-notification=yes

override_dh_strip:
	dh_strip -pmarco --dbgsym-migration='marco-dbg (<< 1.14.2-2~)'
	dh_strip -plibmarco-private1 --dbgsym-migration='libmarco-private1-dbg (<< 1.14.2-2~)'

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## marco 1.22.2

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libcanberra-gtk3-dev,
@@ -28,20 +28,20 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               mate-common (>= 1.18),
+               mate-common (>= 1.20),
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.1.4
+Standards-Version: 3.9.7
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco
-Vcs-Git: https://salsa.debian.org/debian-mate-team/marco.git
+Vcs-Browser: https://github.com/mate-desktop/debian-packages
+Vcs-Git: git://github.com/mate-desktop/debian-packages.git
 
 Package: marco
 Architecture: any
-Depends: libmarco-private1 (= ${binary:Version}),
+Depends: libmarco-private2 (= ${binary:Version}),
          marco-common (= ${source:Version}),
-         mate-desktop-common (>= 1.18),
+         mate-desktop-common (>= 1.20),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -56,14 +56,15 @@
 Package: marco-common
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: mate-window-manager (<= 1.0.0-2),
+Breaks: mate-control-center (<< 1.20.0),
+        mate-window-manager (<= 1.0.0-2),
 Description: lightweight GTK+ window manager for MATE (common files)
  Marco is a small window manager, using GTK+ to do everything. It is
  developed mainly for the MATE Desktop.
  .
  This package contains the architecture independent files.
 
-Package: libmarco-private1
+Package: libmarco-private2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -84,7 +85,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmarco-private1 (= ${binary:Version}),
+Depends: libmarco-private2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: mate-window-manager (<= 1.0.0-2),

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,11 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ $(DHFLAGS) --without autoreconf
-
-override_dh_missing:
-	dh_missing --fail-missing
+	dh $@ $(DHFLAGS)
 
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/*.la
-	dh_install
+	dh_install --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -30,8 +27,8 @@
 		--enable-startup-notification=yes
 
 override_dh_strip:
-	dh_strip -pmarco --dbgsym-migration='marco-dbg (<< 1.14.2-2~)'
-	dh_strip -plibmarco-private1 --dbgsym-migration='libmarco-private1-dbg (<< 1.14.2-2~)'
+	dh_strip -pmarco --dbgsym-migration='marco-dbg (<< 1.20.0-1~)'
+	dh_strip -plibmarco-private2 --dbgsym-migration='libmarco-private1-dbg (<< 1.20.0-1~)'
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## marco 1.22.3

=== debian/changelog ===
marco (1.22.3-0ubuntu2) eoan; urgency=medium

  * debian/patches:
    + Add 0001_scale_window_control_buttons.patch. Render window buttons as
      cairo surfaces. (LP: #1773653)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 05 Oct 2019 02:39:35 +0100

marco (1.22.3-0ubuntu1) eoan; urgency=medium

  * New upstream release.
  * debian/patches:
     + Drop 0001_fix_moving_to_edges_with_CSD_clients.patch. Applied upstream.
     + Drop 0000_update_allowed_action_hints.patch. Applied upstream.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 21 Sep 2019 22:18:06 +0200

marco (1.22.2-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jul 2019 16:34:15 +0200

marco (1.22.2-1~exp1) experimental; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (LP: #1769411)
  * debian/libmarco-private1.symbols:
    + Update for Marco 1.22.2

  [ Mike Gabriel ]
  * libmarco-private2: SONAME transition.
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Jul 2019 12:35:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (=12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libcanberra-gtk3-dev,
@@ -28,20 +28,20 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               mate-common (>= 1.20),
+               mate-common (>= 1.18),
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 3.9.7
+Standards-Version: 4.4.0
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://github.com/mate-desktop/debian-packages
-Vcs-Git: git://github.com/mate-desktop/debian-packages.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco
+Vcs-Git: https://salsa.debian.org/debian-mate-team/marco.git
 
 Package: marco
 Architecture: any
 Depends: libmarco-private2 (= ${binary:Version}),
          marco-common (= ${source:Version}),
-         mate-desktop-common (>= 1.20),
+         mate-desktop-common (>= 1.18),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -56,8 +56,7 @@
 Package: marco-common
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: mate-control-center (<< 1.20.0),
-        mate-window-manager (<= 1.0.0-2),
+Breaks: mate-window-manager (<= 1.0.0-2),
 Description: lightweight GTK+ window manager for MATE (common files)
  Marco is a small window manager, using GTK+ to do everything. It is
  developed mainly for the MATE Desktop.
@@ -72,9 +71,11 @@
          ${shlibs:Depends},
 Breaks: libmarco,
         libmarco-private0,
+        libmarco-private1,
         mate-window-manager (<= 1.0.0-2),
 Replaces: libmarco,
           libmarco-private0,
+          libmarco-private1,
 Description: library for Marco window manager
  Marco is a small window manager, using GTK+ to do everything. It is
  developed mainly for the MATE Desktop.

## marco 1.22.3-2mint1%2Btricia

=== debian/changelog ===
marco (1.22.3-2mint1+tricia) tricia; urgency=medium

  [ Victor Kareh ]
  * theme: Render window control buttons and icons as surfaces

  [ Michael Webster ]
  * theme.c: Fix window control hidpi rendering for all themes.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2019 16:31:44 +0000

marco (1.22.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 02 Oct 2019 16:49:54 +0300

marco (1.22.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 02 Jul 2019 13:31:35 +0300

marco (1.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 05 Mar 2019 12:04:00 +0300

marco (1.21.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 09 Oct 2018 17:56:39 +0300

marco (1.19.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 24 Jan 2018 11:47:28 +0300

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,14 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ $(DHFLAGS)
+	dh $@ $(DHFLAGS) --without autoreconf
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/*.la
-	dh_install --fail-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=3
https://git.mate-desktop.org/marco/ \
    snapshot/marco-(\d\.(?:[0-9]+|)[0-9]\.\d)\.tar\.xz

## marco 1.22.4

=== debian/changelog ===
marco (1.22.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix appearing windows in foreground when switching workspaces. (Closes:
      #932980).
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.4.1. No changes needed.
  * debian/patches:
    + Drop 0001_scale_window_control_buttons.patch. Applied upstreanm.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Dec 2019 09:58:31 +0100

marco (1.22.3-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_scale_window_control_buttons.patch. Render window buttons a
      cairo surfaces. (LP: #1773653)

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Oct 2019 14:52:10 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,8 @@
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco
 Vcs-Git: https://salsa.debian.org/debian-mate-team/marco.git

## marco 1.24.0

=== meson_options.txt ===
option('disable-verbose-mode',
  type: 'boolean', value: true,
  description: 'disable marco\'s ability to do verbose logging, for embedded/size-sensitive custom builds')

option('disable-sm',
  type: 'boolean', value: false,
  description: 'disable marco\'s session management support, for embedded/size-sensitive custom non-MATE builds')

option('disable-startup-notification',
  type: 'boolean', value: false,
  description: 'disable marco\'s startup notification support, for embedded/size-sensitive custom non-MATE builds')

option('disable-compositor',
  type: 'boolean', value: false,
  description: 'disable marco\'s compositing manager')

option('disable-xsync',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the XSync extension')

option('disable-render',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the RENDER extension')

option('disable-shape',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the shaped window extension')

option('disable-xinerama',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the Xinerama extension')

=== debian/changelog ===
marco (1.24.0-1ubuntu1) focal; urgency=medium

  * debian/patches:
    + Add 0001_fix-segfaults.patch. Fix calculation of borders to
      prevent segfaults. (LP: #1863431, #1863392)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 23 Mar 2020 23:18:18 +0000

marco (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add B-D autoconf-archive.
    + Update Depends: to support MATE Desktop 1.24.
  * debian/libmarco-private2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Feb 2020 12:18:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
-Build-Depends: debhelper-compat (=12),
+Build-Depends: autoconf-archive,
+               debhelper-compat (=12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libcanberra-gtk3-dev,
@@ -32,7 +33,7 @@
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco
@@ -42,7 +43,7 @@
 Architecture: any
 Depends: libmarco-private2 (= ${binary:Version}),
          marco-common (= ${source:Version}),
-         mate-desktop-common (>= 1.18),
+         mate-desktop-common (>= 1.24),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,5 @@
 		--disable-static \
 		--enable-startup-notification=yes
 
-override_dh_strip:
-	dh_strip -pmarco --dbgsym-migration='marco-dbg (<< 1.20.0-1~)'
-	dh_strip -plibmarco-private2 --dbgsym-migration='libmarco-private1-dbg (<< 1.20.0-1~)'
-
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## marco 1.24.1

=== meson_options.txt ===
option('verbose-mode',
  type: 'boolean', value: false,
  description: 'verbose logging, for embedded/size-sensitive custom builds')

option('sm',
  type: 'boolean', value: true,
  description: 'session management support, for embedded/size-sensitive custom non-MATE builds')

option('startup-notification',
  type: 'boolean', value: true,
  description: 'startup notification support, for embedded/size-sensitive custom non-MATE builds')

option('compositor',
  type: 'boolean', value: true,
  description: 'compositing manager')

option('xsync',
  type: 'boolean', value: true,
  description: 'use of the XSync extension')

option('render',
  type: 'boolean', value: true,
  description: 'use the RENDER extension')

option('shape',
  type: 'boolean', value: true,
  description: 'use the shaped window extension')

option('xinerama',
  type: 'boolean', value: true,
  description: 'use the Xinerama extension')

=== debian/changelog ===
marco (1.24.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0002_tabpopup-fix-cairo-surface-leak.patch. Fix cairo surface leak in
      src/ui/draw-workspace.c. (Closes: 990859).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 10 Jul 2021 23:47:08 +0200

marco (1.24.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_no-shadows-for-side-tiled-windows.patch: Do not render shadows
      for side tiled windows.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Feb 2021 10:45:35 +0100

marco (1.24.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Aug 2020 08:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
 Build-Depends: autoconf-archive,
-               debhelper-compat (=12),
+               debhelper-compat (=13),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libcanberra-gtk3-dev,

## marco 1.24.2

=== debian/changelog ===
marco (1.24.2-0ubuntu1) hirsute; urgency=medium

  * New upstream maintenance release

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 27 Mar 2021 00:18:13 +0000

## marco 1.26.0

=== debian/changelog ===
marco (1.26.0-3ubuntu1) jammy; urgency=medium

  * debian/patches:
    + Add 1000_add-no-keybindings.patch (LP: #1948339)

 -- Martin Wimpress <code@wimpress.io>  Tue, 12 Apr 2022 10:28:18 +0100

marco (1.26.0-3ubuntu0) jammy; urgency=medium

  * debian/control:
    + Add B-D: libxpresent-dev. (LP: #1959995)

 -- Martin Wimpress <code@wimpress.io>  Sat, 02 Apr 2022 10:45:19 +0000

marco (1.26.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control:
    + Drop B-D: libxpresent-dev. (LP: #1960621)
  * debian/patches:
    + Add 0000_shadows.patch: Consistent radius and opacity for shadows.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Mar 2022 13:25:55 +0100

marco (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/*.symbols:
    + Dependencies updated for MATE 1.26.
  * debian/patches:
    + Drop 0002_tabpopup-fix-cairo-surface-leak.patch. Applied upstream.
    + Drop 0001_no-shadows-for-side-tiled-windows.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/watch:
    + Use format version 4.
  * debian/libmarco-private2.lintian-overrides:
    + Rename shlib-calls-exit to exit-in-shared-library.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Dec 2021 02:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco

## marco 1.26.0-1mint1

=== debian/changelog ===
marco (1.26.0-1mint1) una; urgency=medium

  * Improve rounded corners

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 04 Dec 2021 12:41:36 +0000

marco (1.26.0-0ubuntu1~focal2.0) focal; urgency=medium

  * New upstream release.

 -- Martin Wimpress <code@wimpress.io>  Sat, 21 Aug 2021 18:01:43 +0100

marco (1.20.0-0ubuntu1~focal2.0) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:55 +0000

marco (1.19.2-0ubuntu1~focal2.0) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 22:43:49 +0000

marco (1.15.0-0ubuntu1~focal2.0) yakkety; urgency=medium

  * New upstream development release.
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
 Build-Depends: autoconf-archive,
-               debhelper-compat (=13),
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libcanberra-gtk3-dev,

## marco 1.26.1

=== debian/changelog ===
marco (1.26.1-3+deb12u2) bookworm; urgency=medium

  * debian/patches:
    + Add 0001_check-availability-of-compositing-1.patch and
      0002_check-availability-of-compositing-2.patch. Check that compositing
      is not only requested, but also available.

      Enabling code that is supposed to be used in compositing conditions is
      harmful if compositing is not actually available. Just checking the
      preference is not enough to make sure that compositing is available -
      the X server might be missing crucial extensions for compositing to
      work, which in turn correctly disables the internal compositor.

      The end result is graphical issues like black borders around windows in
      such situations.

      Make sure that compositing is both requested AND available to fix this
      bug.

      This resolves an annoying issue when running MATE desktop in X2Go
      sessions with the x2goagent (nx-libs) Xserver backend.
  * debian/:
    + Drop black-frame-in-X2Go-sessions-workaround, re-enable compositing by
      default again. This drops the gsettings override
      20_marco-debian.gschema.override.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 21:31:53 +0200

marco (1.26.1-3+deb12u1) bookworm; urgency=medium

  * debian/patches:
    + Add 0004_show-correct-window-title-when-owned-by-superuser.patch. Fix
      window titles sometimes shown incorrectly when owned as root. This
      affects mostly KDE apps if they are run on MATE. (Closes: #1040752).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 10 Jul 2023 06:47:02 +0200

marco (1.26.1-3) unstable; urgency=medium

  * Revert "debian/control: Drop B-D: libxpresent-dev." introduced with
    marco 1.26.0-2.
    The underlying cause of the problem (see Launchpad issue #1960621) has
    long been solved in X.org's present extension. (This really closes:
    #1034605).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Apr 2023 07:46:12 +0200

marco (1.26.1-2) unstable; urgency=medium

  * debian/patches:
    + Add patches 0001, 0002 and 0003. Fixes marco crashing when run in an X2Go
      session. (Closes: #1034677).
  * debian/{marco-common.install,20_marco-debian.gschema.override}:
    + Disable compositing manager in marco, hides dark border around windows in
      X2Go. (Closes: #982879). This also works around screen tearing in MATE
      desktop when installing MATE in Debian with default settings. (Closes:
      #1034605).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Apr 2023 15:49:34 +0200

marco (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1001_marco-Add-cmdline-option-no-keybindings-for-disablin.patch.
      Add cmdline option --no-keybindings for disabling key bindings
      directly on WM startup.
  * debian/control:
    + Add B-D: libxres-dev.
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.
  * lintian: Update tag syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Nov 2022 21:28:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
 Build-Depends: autoconf-archive,
-               debhelper-compat (= 12),
+               debhelper-compat (=13),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libcanberra-gtk3-dev,
@@ -28,12 +28,13 @@
                libxpresent-dev,
                libxrandr-dev,
                libxrender-dev,
+               libxres-dev,
                libxt-dev,
                mate-common (>= 1.18),
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco

## marco 1.26.2

=== debian/changelog ===
marco (1.26.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use Y2K38-unsafe startup-notification API. (Closes: #1086472)

 -- Bastian Germann <bage@debian.org>  Wed, 12 Mar 2025 20:00:03 +0100

marco (1.26.2-4) unstable; urgency=medium

  * debian/:
    + Drop black-frame-in-X2Go-sessions-workaround, re-enable compositing by
      default again. This drops the gsettings override
      20_marco-debian.gschema.override.
  * debian/libmarco-private2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 22:36:05 +0200

marco (1.26.2-3) unstable; urgency=medium

  * debian/rules:
    + Add configure option: --enable-verbose-mode, to ease debugging at runtime
      by using 'MARCO_VERBOSE=1 marco --replace'.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 22:22:04 +0200

marco (1.26.2-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_check-availability-of-compositing-1.patch and
      0002_check-availability-of-compositing-2.patch. Check that compositing
      is not only requested, but also available.

      Enabling code that is supposed to be used in compositing conditions is
      harmful if compositing is not actually available. Just checking the
      preference is not enough to make sure that compositing is available -
      the X server might be missing crucial extensions for compositing to
      work, which in turn correctly disables the internal compositor.

      The end result is graphical issues like black borders around windows in
      such situations.

      Make sure that compositing is both requested AND available to fix this
      bug.

      This resolves an annoying issue when running MATE desktop in X2Go
      sessions with the x2goagent (nx-libs) Xserver backend.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 21:31:53 +0200

marco (1.26.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix window titles sometimes shown incorrectly when owned as root.
      This affects mostly KDE apps if they are run on MATE. (Closes:
      #1040752)
  * debian/patches: Drop patches 0001, 0002 and 0003. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Jul 2023 06:16:29 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                x11proto-present-dev,
                yelp-tools,
                zenity,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/marco

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	# upstream tarball is without configure. autogen.sh will create it
 	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure $(DHFLAGS) -- \
+		--enable-verbose-mode \
 		--disable-silent-rules \
 		--localstatedir=/var \
 		--libexecdir=/usr/lib/mate-window-manager \

=== debian/watch ===
version=4
https://git.mate-desktop.org/marco/ \
    snapshot/marco-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz
